"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.O2ConsolesCompleteEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a oxygen console is completed.
 */
class O2ConsolesCompleteEvent extends events_1.RevertableEvent {
    constructor(room, oxygen, message, 
    /**
     * The player that completed the console. Only available is the client is the host.
     */
    player, 
    /**
     * The ID of the console that was completed.
     */
    consoleId) {
        super();
        this.room = room;
        this.oxygen = oxygen;
        this.message = message;
        this.player = player;
        this.consoleId = consoleId;
        this.eventName = "o2.consoles.complete";
        this._alteredConsoleId = consoleId;
    }
    /**
     * The ID of the altered console that will be completed instead, if changed.
     */
    get alteredConsoleId() {
        return this._alteredConsoleId;
    }
    /**
     * Change the console that was completed.
     * @param consoleId The ID of the console to complete.
     */
    setConsole(consoleId) {
        this._alteredConsoleId = consoleId;
    }
}
exports.O2ConsolesCompleteEvent = O2ConsolesCompleteEvent;
O2ConsolesCompleteEvent.eventName = "o2.consoles.complete";
//# sourceMappingURL=ConsoleComplete.js.map