import { BasicEvent } from "@skeldjs/events";
import { ClimbLadderMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
/**
 * Emitted when a player climbs a ladder on the map.
 */
export declare class PlayerClimbLadderEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: ClimbLadderMessage | undefined;
    /**
     * The ID of the ladder that the player climbed.
     */
    readonly ladderId: number;
    static eventName: "player.climbladder";
    eventName: "player.climbladder";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: ClimbLadderMessage | undefined, 
    /**
     * The ID of the ladder that the player climbed.
     */
    ladderId: number);
}
//# sourceMappingURL=ClimbLadder.d.ts.map